net.sf.jasperreports.engine.type

## Enum StretchTypeEnum

- java.lang.Object
- - java.lang.Enum<StretchTypeEnum>
  - - net.sf.jasperreports.engine.type.StretchTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StretchTypeEnum>, JREnum, NamedEnum

      public enum StretchTypeEnum
      extends java.lang.Enum<StretchTypeEnum>
      implements JREnum

  Version:
    $Id: StretchTypeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_STRETCH` A constant indicating that the element preserves its original specified height.
    `RELATIVE_TO_BAND_HEIGHT` A constant used for specifying that the graphic element will adapt its height to match the new height of the report section it placed on, which has been affected by stretch
    `RELATIVE_TO_TALLEST_OBJECT` A constant indicating that users have the possibility to group the elements of a report section in multiple nested groups.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StretchTypeEnum` | `getByName(java.lang.String name)`
    `static StretchTypeEnum` | `getByValue(byte value)`
    `static StretchTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static StretchTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StretchTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_STRETCH

          public static final StretchTypeEnum NO_STRETCH

      A constant indicating that the element preserves its original specified height.

    - #### RELATIVE_TO_TALLEST_OBJECT

          public static final StretchTypeEnum RELATIVE_TO_TALLEST_OBJECT

      A constant indicating that users have the possibility to group the elements of a report section in multiple nested groups. The only reason one might have for grouping your report elements is to be able to stretch them to fit the tallest object.

    - #### RELATIVE_TO_BAND_HEIGHT

          public static final StretchTypeEnum RELATIVE_TO_BAND_HEIGHT

      A constant used for specifying that the graphic element will adapt its height to match the new height of the report section it placed on, which has been affected by stretch

  - ### Method Detail

    - #### values

          public static StretchTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StretchTypeEnum c : StretchTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StretchTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static StretchTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static StretchTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static StretchTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com